Skip to main content
GET
/
api
/
v1
/
campaigns
List campaigns
curl --request GET \
  --url https://nudgen.net/api/v1/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "campaigns": [
    {
      "id": "<string>",
      "name": "<string>",
      "subject": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "sentAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudgen.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal Access Token created from Settings -> API Keys.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
type
string
Example:

"one-time,drip"

status
string
Example:

"draft,scheduled"

Response

200 - application/json

Campaign list

campaigns
object[]
total
integer
page
integer
limit
integer
totalPages
integer